const CreateLinkRequest = {
  bandwidthMbps: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e8
  },
  name: {
    maxLength: 255,
    minLength: 1
  }
};
const CreateRoutingPolicyRequest = {
  name: {
    maxLength: 255,
    minLength: 1
  }
};
const Link = {
  name: {
    minLength: 1
  }
};
const ListLinksRequest = {
  page: {
    greaterThanOrEqual: 1
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e3
  }
};
const ListPartnersRequest = {
  page: {
    greaterThanOrEqual: 1
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e3
  }
};
const ListPopsRequest = {
  page: {
    greaterThanOrEqual: 1
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e3
  }
};
const ListRoutingPoliciesRequest = {
  page: {
    greaterThanOrEqual: 1
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e3
  }
};
const Partner = {
  name: {
    minLength: 1
  }
};
const Pop = {
  address: {
    minLength: 1
  },
  city: {
    minLength: 1
  },
  hostingProviderName: {
    minLength: 1
  },
  name: {
    minLength: 1
  }
};
const RoutingPolicy = {
  name: {
    minLength: 1
  }
};
const UpdateLinkRequest = {
  name: {
    maxLength: 255,
    minLength: 1
  }
};
const UpdateRoutingPolicyRequest = {
  name: {
    maxLength: 255,
    minLength: 1
  }
};
export {
  CreateLinkRequest,
  CreateRoutingPolicyRequest,
  Link,
  ListLinksRequest,
  ListPartnersRequest,
  ListPopsRequest,
  ListRoutingPoliciesRequest,
  Partner,
  Pop,
  RoutingPolicy,
  UpdateLinkRequest,
  UpdateRoutingPolicyRequest
};
